# IOC

## Firmware
### General
* All serial links run at 19200 baud

### Bootloader
* The bootloader is a standard Arduino bootloader with the following additions
	* Use ASCII command 'X' to enable loop-through mode. Everything received on UART RX will be forwarded to UART TX until the next reset.
	* Use ASCII command 'Z' to immediately launch into the user firmware
* Use the following avrdude command to program: `avrdude -p m8 -P /dev/ttyUSBx -c arduino -b 19200 -U flash:w:$(TARGET).hex`
